﻿/**
 * Цилиндрический шарнир
 * @author Werdn
 * @version 1.0
 * 
	TMM III - simulator of plain mechanisms
	Copyright (C) 2007  Andrey Motrenko (werdn666@yandex.ru)
	
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package ru.narod.werdn666.tmm3.vertices;

import flash.MovieClip;
import flash.geom.Point;
import ru.narod.werdn666.tmm3.graphics.Graphics;

/**
 * Цилиндрический шарнир
 */
class CylinderVertex extends Vertex
{

	public function new(X:Float, Y:Float) 
	{
		super(X, Y);
	}
	
	/**
	* Рисование вершины
	* @param	mc	-	место для рисования
	*/
	public function paint(mc:MovieClip)
	{
		//if(!painted)
		{
			super.paint(mc);
			
			mc.moveTo(center.x, center.y);
			
			mc.beginFill(color);
			Graphics.paintCircle(mc, center.x, center.y, 2);
			mc.endFill();
			
			mc.moveTo(center.x, center.y);
			
			painted = true;
		}
	}
}